{
  inputs,
  inputs',
  config,
  lib,
  ...
}:
{
  nixpkgs.overlays = [
    (final: prev: {
      # Add env vars to calibre so they may get propagated to a plugin that needs them
      calibre = prev.calibre.overrideAttrs (old: {
        postInstall = ''
          wrapProgram $out/bin/calibre \
              --set QT_QPA_PLATFORM xcb \
              --set-default ACSM_LIBCRYPTO ${prev.openssl.out}/lib/libcrypto.so \
              --set-default ACSM_LIBSSL ${prev.openssl.out}/lib/libssl.so
        '';
      });

      lollypop = prev.lollypop.override {
        #lastFMSupport = false;
        youtubeSupport = false;
      };

      scripts = import ../../home/scripts {
        inherit lib config;
        pkgs = prev.pkgs;
      };

      nysh = inputs'.nysh.packages.nysh;

      hyprlock = inputs'.hyprlock.packages.hyprlock;
    })
    inputs.rustypaste.overlays.default
  ];
}
